Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util
Class JdbcTypedValue

    java.lang.Object
      org.apache.torque.util.JdbcTypedValue

    public class JdbcTypedValue

extends Object

A value plus its JDBC type.

Version:
  $Id: JdbcTypedValue.java 1448414 2013-02-20 21:06:35Z tfischer $

Constructor Summary
`JdbcTypedValue(Object value, int jdbcType)` Constructor.

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getJdbcType()` Returns the JDBC type as in `java.sql.Types`.
`Object` | `getValue()` Returns the value.
`int` | `hashCode()`
`void` | `setJdbcType(int jdbcType)` Sets the JDBC type as in `java.sql.Types`.
`void` | `setValue(Object value)` Sets the value.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JdbcTypedValue

    public JdbcTypedValue(Object value,
                          int jdbcType)

  Constructor.

  Parameters:
    `jdbcType` - The JDBC type as in `java.sql.Types`.
    `value` - The value; may be null.

Method Detail

### getJdbcType

    public int getJdbcType()

  Returns the JDBC type as in `java.sql.Types`.

  Returns:
    the JDBC type of the value.

### setJdbcType

    public void setJdbcType(int jdbcType)

  Sets the JDBC type as in `java.sql.Types`.

  Parameters:
    `jdbcType` - the JDBC type of the value.

### getValue

    public Object getValue()

  Returns the value.

  Returns:
    value the value, or null.

### setValue

    public void setValue(Object value)

  Sets the value.

  Parameters:
    `value` - the value, may be null.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.